Page MenuHomePhabricator

[Target/X86] Allow LowerVAARG to work on FreeBSD, too.
AbandonedPublic

Authored by cdavis5x on Aug 5 2015, 1:56 PM.

Details

Reviewers
emaste
Summary

This change enables the va_arg instruction to work on
FreeBSD/amd64, too. It's needed to prevent test failures after D1622
lands. Since FreeBSD/amd64 largely follows the System V ABI for x86-64
(like Linux/x86-64), I don't see any reason why this wouldn't work.

Diff Detail

Event Timeline

cdavis5x updated this revision to Diff 31392.Aug 5 2015, 1:56 PM
cdavis5x retitled this revision from to [Target/X86] Allow LowerVAARG to work on FreeBSD, too..
cdavis5x updated this object.
cdavis5x added a reviewer: emaste.
cdavis5x added a subscriber: llvm-commits.
emaste added a subscriber: dim.Aug 10 2015, 10:22 AM
cdavis5x abandoned this revision.Aug 25 2015, 4:30 PM

Abandoning since I gutted the assert(3) in D1622.